Subject: Re: bug#19576: write-file writes the wrong buffer

From: Eli Zaretskii <[email-masked]>
Date: Sun, 22 Nov 2015 17:39:27 +0200

> Date: Sun, 22 Nov 2015 12:08:42 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> 
>  > I also modified the documentation to be consistent with what
>  > the code does.
> 
> The Elisp manual now says
> 
>       The functions are called at the
>       beginning of a redisplay cycle, and just once for each frame on
>                                           ^^^^^^^^^
>       which size changes have occurred.
> 
> IIUC the functions may now be called twice for the selected frame: A
> first time when a "normal" size changed occurred and a second time when
> the mini-window got resized.  Or am I missing something?

I couldn't think of any situation that would cause that.  It would
require a resize of windows outside redisplay that would also cause
redisplay to decide that the mini-window needs to be resized.  If you
can come up with a recipe for this, we should indeed remove the "just
once" promise.